Subject: Re: bug#64957: [PATCH] gnu: Add python-fontmake.

From: Sergio Pastor Pérez <[email-masked]>
Date: Wed, 06 Sep 2023 19:22:36 +0200

Hi, again.

When I submitted the package I thought the checks where passing at least
it was building without errors for version 3.4.0.  I see that you are
using another build system and you updated the version. I'm trying your
patch out and I see the failures during the check phase.

At first sight I would not know how to fix any of this. I'm not very
experienced with python in general. If I find the problem I will send an
updated revision.

Maxim Cournoyer <[email-masked]> writes:

> reopen 64957
> quit
>
> Hi,
>
> [...]
>
>> Sergio Pastor Pérez <[email-masked]> writes:
>>
>>> * gnu/packages/fontutils.scm (fontmake): New variable.
>
> I spoke too soon; the tests do not appear to run.  Here's an updated
> package:
>
> --8<---------------cut here---------------start------------->8---
> (define-public fontmake
>   (package
>     (name "fontmake")
>     (version "3.7.1")
>     (source (origin
>               (method url-fetch)
>               (uri (pypi-uri "fontmake" version ".zip"))
>               (sha256
>                (base32
>                 "0ib7fvwgwazm7qfj4a3rkqkb40xfbj40rnvsmkvl2isg2ky3vg9m"))))
>     (build-system pyproject-build-system)
>     (inputs (list python-fontmath python-glyphslib))
>     (native-inputs (list unzip pytest python-setuptools-scm))
>     (home-page "https://github.com/googlefonts/fontmake")
>     (synopsis
>      "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)")
>     (description
>      "Fontmake compiles fonts from various sources (@code{.glyphs}, @code{.ufo},
> @code{designspace}) into binaries (@code{.otf}, @code{.ttf}).  It can be used to
> create static instances and variable fonts.")
>     (license license:asl2.0)))
> --8<---------------cut here---------------end--------------->8---
>
> Unfortunately there are quite a few test failures to analyze.  Would
> you be motivated to do so?  The end result would be a better package.